Has anyone configure HostAPd nl80211 for Fedora 18

Dan Williams dcbw at redhat.com
Wed May 8 17:32:26 EDT 2013


On Wed, 2013-05-08 at 20:52 +0000, Naipaul Ojar wrote:
> > On Tue, 2013-05-07 at 00:56 +0000, Naipaul Ojar wrote:
> > > Hi Dan,
> > > 
> > > I do have that file, and others also.
> > > 
> > > In the directory:-
> > > ../hostapd/hostapd-2.0/src/drivers/
> > > driver_common.o/.d
> > > driver_hostap.o/.d
> > > driver_nl802011.o/.d
> > > drivers.o/.d
> > > 
> 
> > Ok, when you see this error, please run:
> > 
> > make V=1
> > 
> > and the post the output.

Ok, that's better.  Make sure you have:

CONFIG_LIBNL32=y

defined in your build config; I think that's the problem.

Dan


> > 
> > Dan
> > 
> > > The current executable may not contain the nl80211 driver, and the linker fails against the library 'nl-genl'
> 
> > 
>  		 	   		  




More information about the HostAP mailing list